# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

project          = 'TFScript'
copyright        = '2022, Nicholas Hope and Paco Hope'
author           = 'Nicholas Hope and Paco Hope'
release          = '1.0'
extensions       = [
    'sphinx.ext.duration',
    'sphinx.ext.doctest',
    'sphinx.ext.autodoc',
    'sphinx.ext.autosummary',
    'sphinxarg.ext' ]
templates_path   = ['_templates']
exclude_patterns = []
html_theme       = 'alabaster'
html_static_path = ['_static']

import os
import sys
sys.path.append(os.path.abspath('../../src'))